<?php

namespace Drupal\views_cleanup;

class ViewsCleanupBase {

  /**
   * Check if the views filter matching the provide check options
   *
   * @param array $options Check options
   * @param array $filter views filter
   *
   * @return bool
   */
  protected function filterCheckOptions(array $options, array $filter): bool {
    $filter_check_result = FALSE;
    foreach ($options as $key => $value) {
      if (isset($filter[$key])) {
        if ($filter[$key] == $value) {
          $filter_check_result = TRUE;
        }
        else {
          $filter_check_result = FALSE;
          break;
        }
      }
      else {
        $filter_check_result = FALSE;
        break;
      }
    }
    return $filter_check_result;
  }

}